summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKurt Kanzenbach <kurt@kmk-computers.de>2020-10-30 17:48:10 +0100
committerAlice Ferrazzi <alicef@gentoo.org>2020-11-16 12:05:51 +0900
commitf2b86904da146f56bcfe37cc8124c57c4b2d8a9e (patch)
tree8476a6e0bf6c8d5731862f8bba8268ec77f6ee8f /sys-kernel/rt-sources
parentxfce-base/thunar: Stabilize 1.8.16 arm, #754837 (diff)
downloadgentoo-f2b86904da146f56bcfe37cc8124c57c4b2d8a9e.tar.gz
gentoo-f2b86904da146f56bcfe37cc8124c57c4b2d8a9e.tar.bz2
gentoo-f2b86904da146f56bcfe37cc8124c57c4b2d8a9e.zip
sys-kernel/rt-sources: Add rt sources v4.4.240-rt209
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Kurt Kanzenbach <kurt@kmk-computers.de> Signed-off-by: Alice Ferrazzi <alicef@gentoo.org>
Diffstat (limited to 'sys-kernel/rt-sources')
-rw-r--r--sys-kernel/rt-sources/Manifest2
-rw-r--r--sys-kernel/rt-sources/rt-sources-4.4.240_p209.ebuild54
2 files changed, 56 insertions, 0 deletions
diff --git a/sys-kernel/rt-sources/Manifest b/sys-kernel/rt-sources/Manifest
index 4ecb5d0970b..da3544a6f2b 100644
--- a/sys-kernel/rt-sources/Manifest
+++ b/sys-kernel/rt-sources/Manifest
@@ -28,6 +28,8 @@ DIST patch-4.4.231-rt202.patch.xz 195124 BLAKE2B 4eefc64ef491054092078edd764cc37
DIST patch-4.4.231.xz 3240736 BLAKE2B 75b0c92171ec12571a704f817c2d020f27dd945b68481936c0d3cd9332cfa44447aa85630f60685805477cee61c8c6ed894b70d5651afea1b8784a28eb0d32f3 SHA512 05884136475aca92e212866908afca8a5fffdfe7d1127fc64a5b60dc638955e92c94509d483d7e603ebdf466d85646083fc7ef468a60b4c096d48d5a38786f81
DIST patch-4.4.236-rt207.patch.xz 195128 BLAKE2B 44ee1bbbb30fff893f39f4781c9749c659b744c3809d42f651aba32531c4395c4542128c4febfa3f253830379db0b11c993a3c251d258365d8eb10beccfe6a95 SHA512 234ae42293c04c770f4547ab67496851a14d9b1a4ce27ecb61d2489842553a0f61280b49729bfe9b07451c6968398fa7484979dc2a2e20d379ef8075b3da1213
DIST patch-4.4.236.xz 3307884 BLAKE2B 6b8dcdf38d069a77204af85788bc3307ad022f6511802ac26b3f3aef3245852849d124bfea87ebb7c7226fbd9ffd17d5e3eb1c3e04ef049559b945b27b7e44ec SHA512 9f2d99302641cdabf1a99b710bf4f944ff9d8fcdc4d9add4aebd1250ec559a38ff09352b87250cb216ef052cfabaf7c03afd1636bf7cf5e4f400174b97c81994
+DIST patch-4.4.240-rt209.patch.xz 195156 BLAKE2B e05926078feb42e2ffe399322f5af983c65cde172b125e9d48fe6c48fada9d3574306b82e584a74adc2375cc666a45e0aa820c94b6d88489a3926538335fb301 SHA512 1396b23ac6e354d9b98edf75aea6c8000b059c4249ee391829179e88852152780c23087b814b550c184940cbcd236dc2e4b43ff13c02e8c1aa04a1ea124556cb
+DIST patch-4.4.240.xz 3341984 BLAKE2B f4f2cb343e399236a93bbfdc5b9bd033bcb5fac99aaaa3f23bedf2b9e5f00e21d82b741dc4005dbb088da1980dbd4e671c5627bdf87c6c61b9981f442d1d83d9 SHA512 b45fe43ac354f2bb70db06948b3ddc8555f28bcacfdd86534482ae379654f91008fbb03c65ee3850d117b2d7b2f655d93352f08b7c289c0142e5fd584b7aad06
DIST patch-4.9.232-rt150.patch.xz 175296 BLAKE2B c4b0e268e6dda8d93271a895dbf7f85e30fe3940b5cf8074b6c12540d7174462a451a8e0309252df013cfe1b4f221d50825b4c669318028f6bc19b4c401cbef8 SHA512 7e71b6ed69f1f8bdb21a07ca7a62e731264965b34d68f35ac8cca62a4ba8e8f26e18929dff5ab0a50f2732dfb047e87789774376c7fec890f4e368ea61d0f241
DIST patch-4.9.232.xz 3578076 BLAKE2B a1573d0953607b53fa4cab7246ec38da7d9dd4d45aab7bf8b46b54fc460f57b5de2a423d3fb8784ed1b9d6c753a6d6e7842739d010ac82e009b954f0098fe187 SHA512 4058a3f6dcdd11a89fda652f311a5bdc9d64484a735d334fcb604ef8b71fa9fda373433d14bfc6680065c0143c55d571f20d8bcab078742b5eb3eedb81e27810
DIST patch-4.9.236-rt154.patch.xz 175384 BLAKE2B 789f388c3ab7bb86153191fb69bd75efa433537a6a1a1d1e13e2ca4807a65529f0760d3572e8d078662ee2663d4fde2081e9c443c076aa23e5152b5c3d3e9ba1 SHA512 9039b7346dae6f55cb4f1a029e08919cdedac00320bdf81288c9366ab17f6b1c2258765e30e1fb2b1d5df97d8daf982a3f43cf39133c8a03fe8a3915f11418e8
diff --git a/sys-kernel/rt-sources/rt-sources-4.4.240_p209.ebuild b/sys-kernel/rt-sources/rt-sources-4.4.240_p209.ebuild
new file mode 100644
index 00000000000..8cec2aef7c8
--- /dev/null
+++ b/sys-kernel/rt-sources/rt-sources-4.4.240_p209.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~arm64"
+
+HOMEPAGE="https://www.kernel.org/pub/linux/kernel/projects/rt/"
+
+inherit eapi7-ver
+
+CKV="$(ver_cut 1-3)"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+RT_PATCHSET="${PV/*_p}"
+
+inherit kernel-2
+detect_version
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+RT_FILE="patch-${K_BRANCH_ID}.${KV_PATCH}-rt${RT_PATCHSET}.patch.xz"
+RT_URI="https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/${RT_FILE} \
+ https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/older/${RT_FILE}"
+
+DESCRIPTION="Full Linux ${K_BRANCH_ID} kernel sources with the CONFIG_PREEMPT_RT patch"
+SRC_URI="${KERNEL_URI} ${RT_URI}"
+
+KV_FULL="${PVR/_p/-rt}"
+S="${WORKDIR}/linux-${KV_FULL}"
+
+UNIPATCH_LIST="${DISTDIR}/${RT_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+src_prepare() {
+ default
+
+ # 627796
+ sed \
+ "s/default PREEMPT_NONE/default PREEMPT_RT_FULL/g" \
+ -i "${S}/kernel/Kconfig.preempt" || die "sed failed"
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ ewarn
+ ewarn "${PN} are *not* supported by the Gentoo Kernel Project in any way."
+ ewarn "If you need support, please contact the RT project developers directly."
+ ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+ ewarn "the ebuilds."
+ ewarn
+}
+
+K_EXTRAEINFO="For more info on rt-sources and details on how to report problems, see: \
+${HOMEPAGE}."